Apache Tomcat 7.0.42

## org.apache.tomcat.util.http.fileupload
Interface FileItemIterator

    public interface FileItemIterator

An iterator, as returned by `FileUploadBase.getItemIterator(RequestContext)`.

Version:
  $Id: FileItemIterator.java 1456935 2013-03-15 12:47:29Z markt $

Method Summary
`boolean` `hasNext()` Returns, whether another instance of `FileItemStream` is available.
`FileItemStream` `next()` Returns the next available `FileItemStream`.

Method Detail

### hasNext

    boolean hasNext()
                    throws FileUploadException,
                           IOException

  Returns, whether another instance of `FileItemStream` is available.

  Returns:
    True, if one or more additional file items are available, otherwise false.
  Throws:
    `FileUploadException` - Parsing or processing the file item failed.
    `IOException` - Reading the file item failed.

### next

    FileItemStream next()
                        throws FileUploadException,
                               IOException

  Returns the next available `FileItemStream`.

  Returns:
    FileItemStream instance, which provides access to the next file item.
  Throws:
    `NoSuchElementException` - No more items are available. Use `hasNext()` to prevent this exception.
    `FileUploadException` - Parsing or processing the file item failed.
    `IOException` - Reading the file item failed.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.